// DisableRepllog.cpp : Defines the entry point for the console application.
//
// This application disables the running of repllog.exe upon an RS232 Notification Event.
// It will connect a user defined .exe to be run instead upon the RS232 Notficcation Event.
//
// ADS# 720020-12001
// jnosek 9-19-2006

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include <notify.h>


int _tmain(int argc, _TCHAR* argv[])
{
	WCHAR programName[] = TEXT("\\FlashFX Disk\\USB_Test.exe");
	WCHAR repllog[] = TEXT("repllog.exe");

	RETAILMSG(1, (TEXT("--> DisableRepllog ADS# 720020-12001\r\n")));

	// Remove repllog.exe from the Notification
	if(CeRunAppAtEvent(repllog, NOTIFICATION_EVENT_NONE))
	{
		RETAILMSG(1, (TEXT("--> %s Disabled\r\n"), repllog));
	}
	else
	{
		RETAILMSG(1, (TEXT("--> %s NOT Disabled\r\n"), repllog));
	}

	// Set programName to be run at NOTIFICATION_EVENT_RS232_DETECTED
	if(CeRunAppAtEvent(programName,NOTIFICATION_EVENT_RS232_DETECTED))
	{
		RETAILMSG(1, (TEXT("--> CeRunAppAtEvent %s Notified\r\n"), programName));
	}
	else
	{
		RETAILMSG(1, (TEXT("--> CeRunAppAtEvent %s FAILURE\r\n"), programName));
	}

	return 0;
}

